Podręcznik PHP
Poprzedni |  | Następny

# ps_setmiterlimit

(PECL)

ps_setmiterlimit -- Sets the miter limit

## Opis

bool ps_setmiterlimit ( resource psdoc, float value )

If two lines join in a small angle and the line join is set to PS_LINEJOIN_MITER, then the resulting spike will be very long. The miter limit is the maximum ratio of the miter length (the length of the spike) and the line width.

## Parametry

psdoc

  Resource identifier of the postscript file as returned by ps_new().

value

  The maximum ratio between the miter length and the line width. Larger values (> 10) will result in very long spikes when two lines meet in a small angle. Keep the default unless you know what you are doing.

## Zwracane wartości

Zwraca `TRUE` w przypadku sukcesu, `FALSE` w przypadku porażki.

## Patrz także

ps_setlinecap()
ps_setlinejoin()
ps_setlinewidth()

Poprzedni | Spis treści | Następny
ps_setlinewidth | Początek rozdziału | ps_setpolydash